<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-about-page-id'] = 0;
$biography_customizer_defaults['biography-home-about-read-more'] = esc_html__( 'Read More', 'biography' );

/*page selection*/
$biography_sections['biography-home-about-page'] =
    array(
        'priority'       => 20,
        'title'          => esc_html__( 'Select Page For About', 'biography' ),
        'panel'          => 'biography-home-review',
    );

$biography_settings_controls['biography-home-about-page-id'] =
    array(
        'setting' =>
            array(
                'default'              => $biography_customizer_defaults['biography-home-about-page-id'],
                ),
        'control' => array(
            'label'                 =>  esc_html__( 'Select Page For About', 'biography' ),
            'section'               => 'biography-home-about-page',
            'type'                  => 'dropdown-pages',
            'priority'              => 10,
            'description'           => ''
    )
);

$biography_settings_controls['biography-home-about-read-more'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-about-read-more']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Read More', 'biography' ),
            'section'               => 'biography-home-about-page',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );