<?php
if ( ! function_exists( 'biography_get_customizer_all_values' ) ) :
    /**
     * Function to get all value
     *
     * @access public
     * @since 1.0.0
     *
     * @param string $biography_customizer_name
     * @return array || other values
     *
     */
    function biography_get_customizer_all_values( $biography_customizer_name_args = null ){
        if( $biography_customizer_name_args ){
            $biography_customizer_name = $biography_customizer_name_args;
        }
        elseif(defined('BIOGRAPHY_CUSTOMIZER_NAME')){
            $biography_customizer_name = BIOGRAPHY_CUSTOMIZER_NAME;
        }
        else{
            $biography_customizer_name = 'biography_customizer';
        }

        if (defined('BIOGRAPHY_CUSTOMIZER_OPTION_MODE') && BIOGRAPHY_CUSTOMIZER_OPTION_MODE == 1 ) {
            $biography_customizer_values = get_option( $biography_customizer_name);
        }
        else{
            $biography_customizer_values = get_theme_mod( $biography_customizer_name );
        }

        return $biography_customizer_values;
    }
endif;